Index: branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90
===================================================================
--- branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90	(revision 7894)
+++ branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90	(revision 8074)
@@ -12,5 +12,4 @@
    !!              -   !  2015-11  (J. Palmieri) added iom_use for diags
    !!              -   !  2016-11  (A. Yool) updated diags for CMIP6
-   !!              -   !  2017-03  (A. Yool) minor tidy
    !!----------------------------------------------------------------------
 #if defined key_medusa
@@ -68,5 +67,5 @@
       !
       NAMELIST/natbio/ xxi,xaln,xald,jphy,xvpn,xvpd,          &
-      &    xsin0,xnsi0,xuif,jliebig, xq10,                    &
+      &    xsin0,xnsi0,xuif,jliebig, jq10,                    &
       &    xthetam,xthetamd,xnln,xnld,xsld,xfln,xfld,         &
       &  xgmi,xgme,xkmi,xkme,xphi,xbetan,xbetac,xkc,          &
@@ -137,6 +136,5 @@
 # endif
 
-      !! AXY (06/04/17): can this next section be deleted? I think it can
-      IF( ( .NOT.lk_iomput .AND. ln_diatrc ) .OR. ( ln_diatrc .AND. lk_medusa ) ) THEN
+     IF( ( .NOT.lk_iomput .AND. ln_diatrc ) .OR. ( ln_diatrc .AND. lk_medusa ) ) THEN
          !
          ! Namelist nammeddia
@@ -223,158 +221,280 @@
       ! -------------------------------------------
       
-!! Primary production and chl related quantities
-      xxi         = 0.  !! conversion factor from gC to mmolN
-      xaln        = 0.  !! Chl-a specific initial slope of P-I curve for non-diatoms
-      xald        = 0.  !! Chl-a specific initial slope of P-I curve for diatoms
-      jphy        = 0   !! phytoplankton T-dependent growth switch
-      xvpn        = 0.  !! maximum growth rate for non-diatoms
-      xvpd        = 0.  !! maximum growth rate for diatoms
-      xthetam     = 0.  !! maximum Chl to C ratio for non-diatoms
-      xthetamd    = 0.  !! maximum Chl to C ratio for diatoms
-!!
-!! Diatom silicon parameters
-      xsin0       = 0.  !! minimum diatom Si:N ratio
-      xnsi0       = 0.  !! minimum diatom N:Si ratio
-      xuif        = 0.  !! hypothetical growth ratio at infinite Si:N ratio
-!!
-!! Nutrient limitation
-      jliebig     = 0   !! Liebig nutrient uptake switch
-      xq10        = 0.  !! specific Q10 value (if jphy = 2) 
-      xnln        = 0.  !! half-sat constant for DIN uptake by non-diatoms
-      xnld        = 0.  !! half-sat constant for DIN uptake by diatoms
-      xsld        = 0.  !! half-sat constant for  Si uptake by diatoms
-      xfln        = 0.  !! half-sat constant for  Fe uptake by non-datoms
-      xfld        = 0.  !! half-sat constant for  Fe uptake by diatoms
-!!
-!! Grazing
-      xgmi        = 0.  !! microzoo maximum growth rate
-      xgme        = 0.  !! mesozoo maximum growth rate
-      xkmi        = 0.  !! microzoo grazing half-sat parameter
-      xkme        = 0.  !! mesozoo grazing half-sat parameter
-      xphi	  = 0.  !! micro/mesozoo grazing inefficiency
-      xbetan      = 0.  !! micro/mesozoo N assimilation efficiency
-      xbetac      = 0.  !! micro/mesozoo C assimilation efficiency
-      xkc         = 0.  !! micro/mesozoo net C growth efficiency
-      xpmipn      = 0.  !! grazing preference of microzoo for non-diatoms
-      xpmid       = 0.  !! grazing preference of microzoo for diatoms
-      xpmepn      = 0.  !! grazing preference of mesozoo for non-diatoms
-      xpmepd      = 0.  !! grazing preference of mesozoo for diatoms
-      xpmezmi     = 0.  !! grazing preference of mesozoo for microzoo
-      xpmed       = 0.  !! grazing preference of mesozoo for detritus
-!!
-!! Metabolic losses
-      xmetapn     = 0.  !! non-diatom metabolic loss rate
-      xmetapd     = 0.  !! diatom     metabolic loss rate
-      xmetazmi    = 0.  !! microzoo   metabolic loss rate
-      xmetazme    = 0.  !! mesozoo    metabolic loss rate
-!!
-!! Mortality/Remineralisation
-      jmpn        = 0   !! non-diatom mortality functional form
-      xmpn        = 0.  !! non-diatom mortality rate
-      xkphn       = 0.  !! non-diatom mortality half-sat constant
-      jmpd        = 0   !! diatom     mortality functional form
-      xmpd        = 0.  !! diatom     mortality rate
-      xkphd       = 0.  !! diatom     mortality half-sat constant
-      jmzmi       = 0   !! microzoo   mortality functional form
-      xmzmi       = 0.  !! microzoo   mortality rate
-      xkzmi       = 0.  !! microzoo   mortality half-sat constant
-      jmzme       = 0   !! mesozoo    mortality functional form
-      xmzme       = 0.  !! mesozoo    mortality rate
-      xkzme       = 0.  !! mesozoo    mortality half-sat constant
-!!
-!! Remineralisation
-      jmd         = 0   !! detritus T-dependent remineralisation switch
-      jsfd        = 0   !! accelerate seafloor detritus remin. switch
-      xmd         = 0.  !! detrital nitrogen remineralisation rate
-      xmdc        = 0.  !! detrital carbon remineralisation rate
-!!
-!! Stochiometric ratios
-      xthetapn    = 0.  !! non-diatom C:N ratio
-      xthetapd    = 0.  !! diatom     C:N ratio
-      xthetazmi   = 0.  !! microzoo   C:N ratio
-      xthetazme   = 0.  !! mesozoo    C:N ratio
-      xthetad     = 0.  !! detritus   C:N ratio (MEDUSA-1 only)
-      xrfn        = 0.  !! phytoplankton Fe:N ratio
-      xrsn        = 0.  !! diatom Si:N ratio (NOT USED HERE; LOBSTER ARTIFACT)
-!!
-!! Iron parameters
-      jiron       = 0   !! iron scavenging submodel switch
-      xfe_mass    = 0.  !! iron atomic mass
-      xfe_sol     = 0.  !! aeolian iron solubility
-      xfe_sed     = 0.  !! sediment iron input
-      xLgT        = 0.  !! total ligand concentration (umol/m3)
-      xk_FeL	  = 0.  !! dissociation constant for (Fe + L)
-      xk_sc_Fe    = 0.  !! scavenging rate of "free" iron
-!!
-!! Fast-sinking detritus parameters
-      jexport     = 0   !! fast detritus remineralisation switch
-      jfdfate     = 0   !! fate of fast detritus at seafloor switch
-      jrratio     = 0   !! rain ratio switch
-      jocalccd    = 0   !! CCD switch
-      xridg_r0    = 0.  !! Ridgwell rain ratio coefficient
-      xfdfrac1	  = 0.  !! fast-sinking fraction of diatom nat. mort. losses
-      xfdfrac2	  = 0.  !! fast-sinking fraction of meszooplankton mort. losses
-      xfdfrac3	  = 0.  !! fast-sinking fraction of diatom silicon grazing losses
-      xcaco3a	  = 0.  !! polar (high latitude) CaCO3 fraction
-      xcaco3b	  = 0.  !! equatorial (low latitude) CaCO3 fraction
-      xmassc	  = 0.  !! organic C mass:mole ratio, C106 H175 O40 N16 P1
-      xmassca	  = 0.  !! calcium carbonate mass:mole ratio, CaCO3
-      xmasssi	  = 0.  !! biogenic silicon mass:mole ratio, (H2SiO3)n
-      xprotca	  = 0.  !! calcium carbonate protection ratio
-      xprotsi	  = 0.  !! biogenic silicon protection ratio
-      xfastc	  = 0.  !! organic C remineralisation length scale
-      xfastca	  = 0.  !! calcium carbonate dissolution length scale
-      xfastsi	  = 0.  !! biogenic silicon dissolution length scale
-!!
-!! Benthic
-      jorgben     = 0   !! does   organic detritus go to the benthos?
-      jinorgben   = 0   !! does inorganic detritus go to the benthos?
-      xsedn       = 0.  !! organic   nitrogen sediment remineralisation rate
-      xsedfe      = 0.  !! organic   iron     sediment remineralisation rate
-      xsedsi      = 0.  !! inorganic silicon  sediment dissolution      rate
-      xsedc       = 0.  !! organic   carbon   sediment remineralisation rate
-      xsedca      = 0.  !! inorganic carbon   sediment dissolution      rate
-      xburial     = 0.  !! burial rate of seafloor detritus
-!!
-!! Riverine inputs
-      jriver_n    = 0   !! riverine N          input?
-      jriver_si   = 0   !! riverine Si         input?
-      jriver_c    = 0   !! riverine C          input?
-      jriver_alk  = 0   !! riverine alkalinity input?
-      jriver_dep  = 1   !! depth of riverine   input?
-!!
-!! Miscellaneous
-      xsdiss	  = 0.  !! diatom frustule dissolution rate
-!!
-!! Gravitational sinking
-      vsed        = 0.  !! detritus gravitational sinking rate
-      xhr         = 0.  !! coeff for Martin's remineralisation profile (LOBSTER)
-!!
-!! Additional parameters
-      sedlam	  = 0.  !! time coeff of POC in sediments (LOBSTER)
-      sedlostpoc  = 0.  !! sediment geol loss for POC (LOBSTER)
-      jpkb	  = 0.  !! vertical layer for diagnostic of the vertical flux (LOBSTER)
-!!
-!! UKESM1 - new DMS parameters  !! Jpalm
-      jdms        = 0   !! include dms diagnostics
-      jdms_input  = 0   !! use instant (0) or diel-avg (1) inputs
-      jdms_model  = 0   !! choice of DMS model passed to atmosphere
-                        !! 1 = ANDR, 2 = SIMO, 3 = ARAN, 4 = HALL
+      xxi         = 0.
+      xaln        = 0.
+      xald        = 0.
+      jphy        = 0
+      xvpn        = 0.
+      xvpd        = 0.
+      xthetam     = 0.
+      xthetamd    = 0.
+!!
+      xsin0       = 0.
+      xnsi0       = 0.
+      xuif        = 0.
+!!
+      jliebig     = 0
+      jq10        = 0.
+      xnln        = 0.
+      xnld        = 0.
+      xsld        = 0.
+      xfln        = 0.
+      xfld        = 0.
+!!
+      xgmi        = 0.
+      xgme        = 0.
+      xkmi        = 0.
+      xkme        = 0.
+      xphi	  = 0.
+      xbetan      = 0.
+      xbetac      = 0.
+      xkc         = 0.
+      xpmipn      = 0.
+      xpmid       = 0.
+      xpmepn      = 0.
+      xpmepd      = 0.
+      xpmezmi     = 0.
+      xpmed       = 0.
+!!
+      xmetapn     = 0.
+      xmetapd     = 0.
+      xmetazmi    = 0.
+      xmetazme    = 0.
+!!
+      jmpn        = 0
+      xmpn        = 0.
+      xkphn       = 0.
+      jmpd        = 0
+      xmpd        = 0.
+      xkphd       = 0.
+      jmzmi       = 0
+      xmzmi       = 0.
+      xkzmi       = 0.
+      jmzme       = 0
+      xmzme       = 0.
+      xkzme       = 0.
+!!
+      jmd         = 0
+      jsfd        = 0
+      xmd         = 0.
+      xmdc        = 0.
+!!
+      xthetapn    = 0.
+      xthetapd    = 0.
+      xthetazmi   = 0.
+      xthetazme   = 0.
+      xthetad     = 0.
+      xrfn        = 0.
+      xrsn        = 0.  !: (NOT USED HERE; RETAINED FOR LOBSTER)
+!!
+      jiron       = 0
+      xfe_mass    = 0.
+      xfe_sol     = 0.
+      xfe_sed     = 0.
+      xLgT        = 0.
+      xk_FeL	  = 0.
+      xk_sc_Fe    = 0.
+!!
+      jexport     = 0
+      jfdfate     = 0
+      jrratio     = 0
+      jocalccd    = 0
+      xridg_r0    = 0.
+      xfdfrac1	  = 0.
+      xfdfrac2	  = 0.
+      xfdfrac3	  = 0.
+      xcaco3a	  = 0.
+      xcaco3b	  = 0.
+      xmassc	  = 0.
+      xmassca	  = 0.
+      xmasssi	  = 0.
+      xprotca	  = 0.
+      xprotsi	  = 0.
+      xfastc	  = 0.
+      xfastca	  = 0.
+      xfastsi	  = 0.
+!!
+      jorgben     = 0
+      jinorgben   = 0
+      xsedn       = 0.
+      xsedfe      = 0.
+      xsedsi      = 0.
+      xsedc       = 0.
+      xsedca      = 0.
+      xburial     = 0.
+!!
+      jriver_n    = 0
+      jriver_si   = 0
+      jriver_c    = 0
+      jriver_alk  = 0
+      jriver_dep  = 1
+!!
+      xsdiss	  = 0.
+!!
+      vsed        = 0.
+      xhr         = 0.
+!!
+      sedlam	  = 0.
+      sedlostpoc  = 0.
+      jpkb	  = 0.
+      jdms        = 0
+      jdms_input  = 0
+      jdms_model  = 0
             
       !REWIND(numnatm)
       !READ(numnatm,natbio)
-      ! Namelist natbio
-      ! -------------------
-      REWIND( numnatp_ref )     ! Namelist natbio in reference namelist : MEDUSA diagnostics
-      READ  ( numnatp_ref, natbio, IOSTAT = ios, ERR = 903)
- 903  IF( ios /= 0 ) CALL ctl_nam ( ios , 'natbio in reference namelist', lwp )
-
-      REWIND( numnatp_cfg )     ! Namelist natbio in configuration namelist : MEDUSA diagnostics
-      READ  ( numnatp_cfg, natbio, IOSTAT = ios, ERR = 904 )
- 904  IF( ios /= 0 ) CALL ctl_nam ( ios , 'natbio in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, natbio )
-
+         ! Namelist natbio
+         ! -------------------
+         REWIND( numnatp_ref )              ! Namelist natbio in reference namelist : MEDUSA diagnostics
+         READ  ( numnatp_ref, natbio, IOSTAT = ios, ERR = 903)
+903      IF( ios /= 0 ) CALL ctl_nam ( ios , 'natbio in reference namelist', lwp )
+
+         REWIND( numnatp_cfg )              ! Namelist natbio in configuration namelist : MEDUSA diagnostics
+         READ  ( numnatp_cfg, natbio, IOSTAT = ios, ERR = 904 )
+904      IF( ios /= 0 ) CALL ctl_nam ( ios , 'natbio in configuration namelist', lwp )
+         IF(lwm) WRITE ( numonp, natbio )
+
+!! Primary production and chl related quantities
+!!       xxi         :  conversion factor from gC to mmolN 
+!!       xaln        :  Chl-a specific initial slope of P-I curve for non-diatoms 
+!!       xald        :  Chl-a specific initial slope of P-I curve for diatoms
+!!       jphy        :  phytoplankton T-dependent growth switch
+!!       xvpn        :  maximum growth rate for non-diatoms
+!!       xvpd        :  maximum growth rate for diatoms
+!!       xthetam     :  maximum Chl to C ratio for non-diatoms      
+!!       xthetamd    :  maximum Chl to C ratio for diatoms      
+!!
+!! Diatom silicon parameters
+!!       xsin0       :  minimum diatom Si:N ratio
+!!       xnsi0       :  minimum diatom N:Si ratio
+!!       xuif        :  hypothetical growth ratio at infinite Si:N ratio
+!!
+!! Nutrient limitation
+!!       jliebig     :  Liebig nutrient uptake switch
+!!       xnln        :  half-sat constant for DIN uptake by non-diatoms 
+!!       xnld        :  half-sat constant for DIN uptake by diatoms 
+!!       xsl         :  half-sat constant for Si uptake by diatoms 
+!!       xfld        :  half-sat constant for Fe uptake by diatoms  
+!!       xfln        :  half-sat constant for Fe uptake by non-datoms 
+!!
+!! Grazing
+!!       xgmi        :  microzoo maximum growth rate 
+!!       xgme        :  mesozoo maximum growth rate 
+!!       xkmi        :  microzoo grazing half-sat parameter
+!!       xkme        :  mesozoo grazing half-sat parameter
+!!       xphi        :  micro/mesozoo grazing inefficiency
+!!       xbetan      :  micro/mesozoo N assimilation efficiency
+!!       xbetac      :  micro/mesozoo C assimilation efficiency
+!!       xkc         :  micro/mesozoo net C growth efficiency
+!!       xpmipn      :  grazing preference of microzoo for non-diatoms
+!!       xpmid       :  grazing preference of microzoo for diatoms
+!!       xpmepn      :  grazing preference of mesozoo for non-diatoms 
+!!       xpmepd      :  grazing preference of mesozoo for diatoms
+!!       xpmezmi     :  grazing preference of mesozoo for microzoo
+!!       xpmed       :  grazing preference of mesozoo for detritus
+!!
+!! Metabolic losses
+!!       xmetapn     :  non-diatom metabolic loss rate
+!!       xmetapd     :  diatom     metabolic loss rate
+!!       xmetazmi    :  microzoo   metabolic loss rate
+!!       xmetazme    :  mesozoo    metabolic loss rate
+!!
+!! Mortality/Remineralisation
+!!       jmpn        :  non-diatom mortality functional form
+!!       xmpn        :  non-diatom mortality rate
+!!       xkphn       :  non-diatom mortality half-sat constant
+!!       jmpd        :  diatom     mortality functional form
+!!       xmpd        :  diatom mortality rate
+!!       xkphd       :  diatom mortality half-sat constant
+!!       jmzmi       :  microzoo   mortality functional form
+!!       xmzmi       :  microzoo mortality rate
+!!       xkzmi       :  microzoo mortality half-sat constant
+!!       jmzme       :  mesozoo    mortality functional form
+!!       xmzme       :  mesozoo mortality rate
+!!       xkzme       :  mesozoo mortality half-sat constant
+!!
+!! Remineralisation
+!!       jmd         :  detritus T-dependent remineralisation switch
+!!       jsfd        :  accelerate seafloor detritus remin. switch
+!!       xmd         :  detrital nitrogen remineralisation rate 
+!!       xmdc        :  detrital carbon remineralisation rate 
+!!
+!! Stochiometric ratios
+!!       xthetapn    :  non-diatom C:N ratio
+!!       xthetapd    :  diatom C:N ratio
+!!       xthetazmi   :  microzoo C:N ratio
+!!       xthetazme   :  mesozoo C:N ratio
+!!       xthetad     :  detritus C:N ratio
+!!       xrfn        :  phytoplankton Fe:N ratio
+!!	 xrsn        :  diatom Si:N ratio (*NOT* used)
+!!
+!! Iron parameters
+!!       jiron       :  iron scavenging submodel switch
+!!       xfe_mass    :  iron atomic mass
+!!	 xfe_sol     :  aeolian iron solubility
+!!	 xfe_sed     :  sediment iron input
+!!	 xLgT	     :  total ligand concentration (umol/m3)
+!!	 xk_FeL	     :  dissociation constant for (Fe + L)
+!!	 xk_sc_Fe    :  scavenging rate of "free" iron
+!!	 
+!! Fast-sinking detritus parameters
+!!       jexport     :  fast detritus remineralisation switch
+!!       jfdfate     :  fate of fast detritus at seafloor switch
+!!       jrratio     :  rain ratio switch
+!!       jocalccd    :  CCD switch
+!!       xridg_r0    :  Ridgwell rain ratio coefficient
+!!       xfdfrac1    :  fast-sinking fraction of diatom nat. mort. losses
+!!       xfdfrac2    :  fast-sinking fraction of meszooplankton mort. losses
+!!       xfdfrac3    :  fast-sinking fraction of diatom silicon grazing losses
+!!       xcaco3a     :  polar (high latitude) CaCO3 fraction
+!!       xcaco3b     :  equatorial (low latitude) CaCO3 fraction
+!!       xmassc      :  organic C mass:mole ratio, C106 H175 O40 N16 P1
+!!       xmassca     :  calcium carbonate mass:mole ratio, CaCO3
+!!       xmasssi     :  biogenic silicon mass:mole ratio, (H2SiO3)n
+!!       xprotca     :  calcium carbonate protection ratio
+!!       xprotsi     :  biogenic silicon protection ratio
+!!       xfastc      :  organic C remineralisation length scale
+!!       xfastca     :  calcium carbonate dissolution length scale
+!!       xfastsi     :  biogenic silicon dissolution length scale
+!!
+!! Benthic 
+!!       jorgben     :  does   organic detritus go to the benthos?
+!!       jinorgben   :  does inorganic detritus go to the benthos?
+!!       xsedn       :  organic   nitrogen sediment remineralisation rate 
+!!       xsedfe      :  organic   iron     sediment remineralisation rate 
+!!       xsedsi      :  inorganic silicon  sediment dissolution      rate 
+!!       xsedc       :  organic   carbon   sediment remineralisation rate 
+!!       xsedca      :  inorganic carbon   sediment dissolution      rate 
+!!       xburial     :  burial rate of seafloor detritus
+!!
+!! Riverine inputs
+!!       jriver_n    :  riverine N          input?
+!!       jriver_si   :  riverine Si         input?
+!!       jriver_c    :  riverine C          input?
+!!       jriver_alk  :  riverine alkalinity input?
+!!       jriver_dep  :  depth of riverine   input?
+!!
+!! Miscellaneous
+!!       xsdiss      :  diatom frustule dissolution rate
+!!
+!! Gravitational sinking      
+!!       vsed        :  detritus gravitational sinking rate 
+!!       xhr         :  coeff for Martin's remineralisation profile
+!!
+!! Additional parameters
+!!       sedlam      :  time coeff of POC in sediments
+!!      sedlostpoc   :  sediment geol loss for POC
+!!       jpkb        :  vertical layer for diagnostic of the vertical flux 
+!!                      NOTE that in LOBSTER it is a first vertical layers where 
+!!                      biology is active  
+!!
+!! UKESM1 - new diagnostics  !! Jpalm
+!!       jdms        :  include dms diagnostics
+!!	 jdms_input  :  use instant (0) or diel-avg (1) inputs
+!!       jdms_model  :  choice of DMS model passed to atmosphere
+!!                      1 = ANDR, 2 = SIMO, 3 = ARAN, 4 = HALL
+!!
       IF(lwp) THEN
-
+!!
 !! AXY (08/11/13): compilation key notification
          WRITE(numout,*) '=== Compilation keys'
@@ -392,4 +512,11 @@
          WRITE(numout,*)     &
          &   ' key_axy_carbchem                                                       = INACTIVE'
+#endif        
+#if defined key_mocsy
+         WRITE(numout,*)     &
+         &   ' key_mocsy                                                              = ACTIVE'
+#else
+         WRITE(numout,*)     &
+         &   ' key_mocsy                                                              = INACTIVE'
 #endif        
 #if defined key_avgqsr_medusa
@@ -474,5 +601,5 @@
          &   ' maximum Chl to C ratio for diatoms,                        xthetamd    = ', xthetamd
          WRITE(numout,*)     &
-         &   ' specific Q10 value (jphy==2),                                  xq10    = ', xq10
+         &   ' specific Q10 value (jphy==2),                                  jq10    = ', jq10
 !!
 !! Diatom silicon parameters
@@ -664,4 +791,13 @@
             WRITE(numout,*)     &
             &   ' Dutkiewicz et al. (2005) iron scavenging                   jiron       = ', jiron
+         elseif (jiron.eq.2) then
+            WRITE(numout,*)     &
+            &   ' Moore et al. (2004) iron scavenging                        jiron       = ', jiron
+         elseif (jiron.eq.3) then
+            WRITE(numout,*)     &
+            &   ' Moore et al. (2008) iron scavenging                        jiron       = ', jiron
+         elseif (jiron.eq.4) then
+            WRITE(numout,*)     &
+            &   ' Galbraith et al. (2010) iron scavenging                    jiron       = ', jiron
          else
             WRITE(numout,*)     &
@@ -868,5 +1004,5 @@
 !!
 !! UKESM1 - new diagnostics  !! Jpalm; AXY (08/07/15)
-         WRITE(numout,*) '=== UKESM1 DMS parameters'
+         WRITE(numout,*) '=== UKESM1-related parameters'
          WRITE(numout,*)     &
          &   ' include DMS diagnostic?,                                   jdms        = ', jdms
@@ -948,14 +1084,14 @@
 
       !READ(numnatm,natroam)
-      ! Namelist natroam
-      ! -------------------
-      REWIND( numnatp_ref )     ! Namelist natroam in reference namelist : MEDUSA diagnostics
-      READ  ( numnatp_ref, natroam, IOSTAT = ios, ERR = 905)
- 905  IF( ios /= 0 ) CALL ctl_nam ( ios , 'natroam in reference namelist', lwp )
-
-      REWIND( numnatp_cfg )     ! Namelist natroam in configuration namelist : MEDUSA diagnostics
-      READ  ( numnatp_cfg, natroam, IOSTAT = ios, ERR = 906 )
- 906  IF( ios /= 0 ) CALL ctl_nam ( ios , 'natroam in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, natroam )
+         ! Namelist natroam
+         ! -------------------
+         REWIND( numnatp_ref )              ! Namelist natroam in reference namelist : MEDUSA diagnostics
+         READ  ( numnatp_ref, natroam, IOSTAT = ios, ERR = 905)
+905      IF( ios /= 0 ) CALL ctl_nam ( ios , 'natroam in reference namelist', lwp )
+
+         REWIND( numnatp_cfg )              ! Namelist natroam in configuration namelist : MEDUSA diagnostics
+         READ  ( numnatp_cfg, natroam, IOSTAT = ios, ERR = 906 )
+906      IF( ios /= 0 ) CALL ctl_nam ( ios , 'natroam in configuration namelist', lwp )
+         IF(lwm) WRITE ( numonp, natroam )
 
 !! ROAM carbon, alkalinity and oxygen cycle parameters
@@ -965,7 +1101,10 @@
 !!       xthetarem :  oxygen consumption by carbon remineralisation
 !!       xo2min    :  oxygen minimum concentration
+
       IF(lwp) THEN
           WRITE(numout,*) 'natroam'
           WRITE(numout,*) ' '
+!!
+!! ROAM carbon, alkalinity and oxygen cycle parameters
           WRITE(numout,*) '=== ROAM carbon, alkalinity and oxygen cycle parameters'
           WRITE(numout,*)     &
@@ -997,14 +1136,14 @@
 
       !READ(numnatm,natopt)
-      ! Namelist natopt
-      ! -------------------
-      REWIND( numnatp_ref )     ! Namelist natopt in reference namelist : MEDUSA diagnostics
-      READ  ( numnatp_ref, natopt, IOSTAT = ios, ERR = 907)
- 907  IF( ios /= 0 ) CALL ctl_nam ( ios , 'natopt in reference namelist', lwp )
-      
-      REWIND( numnatp_cfg )     ! Namelist natopt in configuration namelist : MEDUSA diagnostics
-      READ  ( numnatp_cfg, natopt, IOSTAT = ios, ERR = 908 )
- 908  IF( ios /= 0 ) CALL ctl_nam ( ios , 'natopt in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, natopt )
+         ! Namelist natopt
+         ! -------------------
+         REWIND( numnatp_ref )              ! Namelist natopt in reference namelist : MEDUSA diagnostics
+         READ  ( numnatp_ref, natopt, IOSTAT = ios, ERR = 907)
+907      IF( ios /= 0 ) CALL ctl_nam ( ios , 'natopt in reference namelist', lwp )
+
+         REWIND( numnatp_cfg )              ! Namelist natopt in configuration namelist : MEDUSA diagnostics
+         READ  ( numnatp_cfg, natopt, IOSTAT = ios, ERR = 908 )
+908      IF( ios /= 0 ) CALL ctl_nam ( ios , 'natopt in configuration namelist', lwp )
+         IF(lwm) WRITE ( numonp, natopt )
 
       IF(lwp) THEN
@@ -1019,4 +1158,5 @@
          WRITE(numout,*) ' chla/chla+phea ratio            rpig  = ',rpig
          WRITE(numout,*) ' '
+
       ENDIF
 
@@ -1034,5 +1174,5 @@
          endif
          WRITE(numout,*) ' '
-      ENDIF
+       ENDIF
 
    END SUBROUTINE trc_nam_medusa
@@ -1050,4 +1190,5 @@
       !!---------------------------------------------------------------------
       !!
+      !!
       !!----------------------------------------------------------------------            
       !! Variable conventions
